* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
  min-height: 100vh;
  line-height: 1.6;
  transition: background-color 0.4s ease, color 0.4s ease;
  background-color: #f2f2f2;
  color: #111;
}

.container {
  background-color: #ffffff;
}

.header {
  background: linear-gradient(to top, #000000, #222222);
  color: white;
}



.search-box {
  background-color: #e6e6e6;
  color: #111;
}

.search-box input::placeholder {
  color: #666;
}

.nav-tabs {
  background-color: #1a1a1a;
  --shadow: rgba(0, 0, 0, 0.15);
}

.nav-tab {
  color: #ddd;
}

.nav-tab.active,
.nav-tab:hover {
  background-color: #000;
  color: #fff;
}

.see-all {
  color: #333;
}

.menu-item {
  background-color: #eeeeee;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.582);

}

.menu-item .item-name,
.menu-item .item-description,
.menu-item .price {
  color: #111;
}

.favorite-btn {
  color: #888;
}

.favorite-btn:hover {
  background: rgba(255, 0, 0, 0.1);
  color: red;
}

.iframe-modal {
  background: rgba(255, 255, 255, 0.98);
}

.close-btn {
  background: #fff;
  color: #000;
}

.close-btn:hover {
  background-color: #e6e6e6;
}

body.dark-mode {
  background-color: #121212;
  color: #f2f2f2;
}

.lang-btns button {
  background-color: #000;
  color: white;
}

.lang-btns button:hover {
  background-color: #222;
}

.lang-btns button.active {
  background-color: #555;
}

.page-content .settings-title {
  color: #111;
}

.page-content .setting-label span {
  color: #222;
}

.page-content .slider {
  background-color: #ccc;
}

.page-content .slider:before {
  background-color: white;
}

.page-content-settings {
  background-color: #fff;
  color: #111;
}

.page-content-settings .settings-title {
  color: #111;
}

.page-content-settings .setting-label span {
  color: #222;
}

.page-content-settings .slider {
  background-color: #ccc;
}

.page-content-settings .slider:before {
  background-color: white;
}

.page-content-settings .settings-content,
.page-content .settings-content {
  color: #444;
}

.social-icon {
  filter: grayscale(100%) brightness(0.9) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.2));
}